package com.fjhx.wms.entity.stock.vo;

import com.fjhx.wms.entity.stock.po.StockJournalDetails;
import lombok.Getter;
import lombok.Setter;

/**
 * 出入库记录明细列表查询返回值实体
 *
 * @author
 * @since 2023-03-20
 */
@Getter
@Setter
public class StockJournalDetailsVo extends StockJournalDetails {

    /**
     * 商品名称
     */
    private String productName;

    /**
     * 仓库名称
     */
    private String warehouseName;

    /**
     * 操作类型
     */
    private Integer type;

    /**
     * 产品编码
     */
    private String productCode;

    /**
     * 产品单位
     */
    private String productUnit;

    /**
     * 产品类型
     */
    private String productType;
    /**
     * 产品规格
     */
    private String productSpec;

    /**
     * 操作类型
     */
    private Integer opType;

    /**
     * 操作人名称
     */
    private String opUserName;

    /**仓库单号*/
    private String code;

    /**
     * 发货物流单号
     */
    private String logisticsCode;

    /**
     * 产品类型
     */
    private String productCustomCode;

    /**
     * 业务id
     */
    private Long businessId;

    /**
     * 关联单号
     */
    private String linkCode;

    /**
     * 备注
     */
    private String remarks;

    /**
     * 是否有次品 1是 0不是
     */
    private Integer isReject;

    /**
     * 入库状态 1部分入库 2入库完成
     */
    private Integer receiptStatus;
}
